var forecastArr;
var windowWidth, windowHeight;
var stage,canvas;

//textfields

var theme;

var dayTemp, city, condition, wind, humidity;
var daysArray;
var loader;
var assets = [];
var images = [];
var bgImage;
var backColor;
var mainURL;
var manifest = [
	//weather icons
	/*
	{src:'images/chancerain.png', id:'chancerain'},
	{src:'images/chancesnow.png', id:'chancesnow'},
	{src:'images/chancetstorms.png', id:'chancetstorms'},
	{src:'images/clear.png', id:'clear'},
	{src:'images/partlycloudy.png', id:'partlycloudy'}
	*/
];
var iconsOnStage = [];
var chanceRain,chanceSnow, chanceStorm, chanceClear, chanceCloudy; 
var objMain; //main JSON object

var sunY = 0;//lib.clowdy.sun.y;
//var sunX = lib.clowdy.sun.x;
//var norX = lib.clowdy.nor2.x;
var norY = 0//liv.clowdy.nor2.y;

var GRAVITY = 4;
var FRICTION = 0.8;

var iconScale = 0.35;

var rainArr = [];
var rainCount = 0;

var snowArr = [];
var snowCount = 0;

var weekday = new Array(7);
weekday[0] = 'Sun';
weekday[1] = 'Mon';
weekday[2] = 'Tue';
weekday[3] = 'Wed';
weekday[4] = 'Thu';
weekday[5] = 'Fri';
weekday[6] = 'Sat';

function setInLoadQueue(s)
{
	bgImage = s;
}

function setInColorQueue(s)
{
	backColor = s;
}

function setMainURL(s)
{
	mainURL = s;
}

function initWeather(u)
{
	objMain = u;
	//console.log('initing:',u)
	loader = new createjs.LoadQueue(false);
	loader.addEventListener('fileload', handleFileLoad);
	loader.addEventListener('complete', handleComplete);
	loader.addEventListener('progress', handleProgress);
	loader.loadManifest(manifest);
	//initIcons();
	continueInit(objMain);
}

function initIcons()
{
	chanceRain = new lib.rainy();
	chanceRain.scaleX = iconScale;
	chanceRain.scaleY = iconScale;
	chanceRain.x = 25;
	chanceRain.y = 25;

	chanceSnow = new lib.snowy();
	chanceSnow.scaleX = iconScale;
	chanceSnow.scaleY = iconScale;
	chanceSnow.x = 25;
	chanceSnow.y = 25;

	chanceStorm = new lib.stormy();
	chanceStorm.scaleX = iconScale;
	chanceStorm.scaleY = iconScale;
	chanceStorm.x = 25;
	chanceStorm.y = 25;


	chanceClear = new lib.sunn();
	chanceClear.scaleX = iconScale;
	chanceClear.scaleY = iconScale;
	chanceClear.x = 25;
	chanceClear.y = 25;

	chanceCloudy = new lib.clowdyz();
	chanceCloudy.scaleX = iconScale;
	chanceCloudy.scaleY = iconScale;
	chanceCloudy.x = 25;
	chanceCloudy.y = 25;

}

function loadImageAndFitTo(img, fitIn, w, h)
{
	var bitmap = new createjs.Bitmap(img);
	var originalW = bitmap.image.width;
	var originalH = bitmap.image.height;
	var desiredW = w;
	var desiredH = h;

	bitmap.scaleX = desiredW / originalW;
	bitmap.scaleY = desiredH / originalH;
	return bitmap;
}

function loadImageandPutTo(img, putIn, w, h)
{
	//console.log('loading image:'+img);
	var bitmap = new createjs.Bitmap(img);
	var originalW = bitmap.image.width;
	var originalH = bitmap.image.height;
	var desiredW = w;
	var desiredH = h;

	bitmap.scaleX = bitmap.scaleY = desiredW / originalW;
	return bitmap;

	//putIn.addChild(bitmap);
	/*
	image.onload = function(evt){
		var im = e.target;
		im.width = w;
		im.height = h;
		putIn.addChild(im);
	}
	image.src = img;
	*/	
}
var ooo = {"forecast":{"Headline":{"EffectiveDate":"2017-11-30T07:00:00-08:00","EffectiveEpochDate":1512054000,"Severity":4,"Text":"Expect showery weather this morning through Saturday afternoon","Category":"rain","EndDate":"2017-12-02T19:00:00-08:00","EndEpochDate":1512270000,"MobileLink":"http://m.accuweather.com/en/us/blakely-island-wa/98222/extended-weather-forecast/41406_pc?lang=en-us","Link":"http://www.accuweather.com/en/us/blakely-island-wa/98222/daily-weather-forecast/41406_pc?lang=en-us"},"DailyForecasts":[{"Date":"2017-11-30T07:00:00-08:00","EpochDate":1512054000,"Sun":{"Rise":"2017-11-30T07:41:00-08:00","EpochRise":1512056460,"Set":"2017-11-30T16:19:00-08:00","EpochSet":1512087540},"Moon":{"Rise":"2017-11-30T15:02:00-08:00","EpochRise":1512082920,"Set":"2017-12-01T04:50:00-08:00","EpochSet":1512132600,"Phase":"WaxingGibbous","Age":12},"Temperature":{"Minimum":{"Value":44,"Unit":"F","UnitType":18},"Maximum":{"Value":49,"Unit":"F","UnitType":18}},"RealFeelTemperature":{"Minimum":{"Value":33,"Unit":"F","UnitType":18},"Maximum":{"Value":45,"Unit":"F","UnitType":18}},"RealFeelTemperatureShade":{"Minimum":{"Value":33,"Unit":"F","UnitType":18},"Maximum":{"Value":46,"Unit":"F","UnitType":18}},"HoursOfSun":0.9,"DegreeDaySummary":{"Heating":{"Value":19,"Unit":"F","UnitType":18},"Cooling":{"Value":0,"Unit":"F","UnitType":18}},"AirAndPollen":[{"Name":"AirQuality","Value":25,"Category":"Good","CategoryValue":1,"Type":"Particle Pollution"},{"Name":"Grass","Value":0,"Category":"Low","CategoryValue":1},{"Name":"Mold","Value":0,"Category":"Low","CategoryValue":1},{"Name":"Ragweed","Value":0,"Category":"Low","CategoryValue":1},{"Name":"Tree","Value":0,"Category":"Low","CategoryValue":1},{"Name":"UVIndex","Value":0,"Category":"Low","CategoryValue":1}],"Day":{"Icon":18,"IconPhrase":"Rain","ShortPhrase":"Brief a.m. showers, then rain","LongPhrase":"Cloudy; brief showers this morning followed by periods of rain this afternoon","PrecipitationProbability":82,"ThunderstormProbability":0,"RainProbability":82,"SnowProbability":0,"IceProbability":0,"Wind":{"Speed":{"Value":11.5,"Unit":"mi/h","UnitType":9},"Direction":{"Degrees":147,"Localized":"SSE","English":"SSE"}},"WindGust":{"Speed":{"Value":29.9,"Unit":"mi/h","UnitType":9},"Direction":{"Degrees":170,"Localized":"S","English":"S"}},"TotalLiquid":{"Value":0.4,"Unit":"in","UnitType":1},"Rain":{"Value":0.4,"Unit":"in","UnitType":1},"Snow":{"Value":0,"Unit":"in","UnitType":1},"Ice":{"Value":0,"Unit":"in","UnitType":1},"HoursOfPrecipitation":6.5,"HoursOfRain":6.5,"HoursOfSnow":0,"HoursOfIce":0,"CloudCover":96},"Night":{"Icon":12,"IconPhrase":"Showers","ShortPhrase":"Clouds, a shower or two","LongPhrase":"Cloudy with a brief shower or two","PrecipitationProbability":59,"ThunderstormProbability":20,"RainProbability":59,"SnowProbability":0,"IceProbability":0,"Wind":{"Speed":{"Value":9.2,"Unit":"mi/h","UnitType":9},"Direction":{"Degrees":174,"Localized":"S","English":"S"}},"WindGust":{"Speed":{"Value":18.4,"Unit":"mi/h","UnitType":9},"Direction":{"Degrees":153,"Localized":"SSE","English":"SSE"}},"TotalLiquid":{"Value":0.1,"Unit":"in","UnitType":1},"Rain":{"Value":0.1,"Unit":"in","UnitType":1},"Snow":{"Value":0,"Unit":"in","UnitType":1},"Ice":{"Value":0,"Unit":"in","UnitType":1},"HoursOfPrecipitation":2,"HoursOfRain":2,"HoursOfSnow":0,"HoursOfIce":0,"CloudCover":96},"Sources":["AccuWeather"],"MobileLink":"http://m.accuweather.com/en/us/blakely-island-wa/98222/daily-weather-forecast/41406_pc?day=1&lang=en-us","Link":"http://www.accuweather.com/en/us/blakely-island-wa/98222/daily-weather-forecast/41406_pc?day=1&lang=en-us"},{"Date":"2017-12-01T07:00:00-08:00","EpochDate":1512140400,"Sun":{"Rise":"2017-12-01T07:42:00-08:00","EpochRise":1512142920,"Set":"2017-12-01T16:18:00-08:00","EpochSet":1512173880},"Moon":{"Rise":"2017-12-01T15:35:00-08:00","EpochRise":1512171300,"Set":"2017-12-02T06:08:00-08:00","EpochSet":1512223680,"Phase":"WaxingGibbous","Age":13},"Temperature":{"Minimum":{"Value":43,"Unit":"F","UnitType":18},"Maximum":{"Value":48,"Unit":"F","UnitType":18}},"RealFeelTemperature":{"Minimum":{"Value":38,"Unit":"F","UnitType":18},"Maximum":{"Value":42,"Unit":"F","UnitType":18}},"RealFeelTemperatureShade":{"Minimum":{"Value":38,"Unit":"F","UnitType":18},"Maximum":{"Value":43,"Unit":"F","UnitType":18}},"HoursOfSun":0.8,"DegreeDaySummary":{"Heating":{"Value":20,"Unit":"F","UnitType":18},"Cooling":{"Value":0,"Unit":"F","UnitType":18}},"AirAndPollen":[{"Name":"AirQuality","Value":25,"Category":"Good","CategoryValue":1,"Type":"Particle Pollution"},{"Name":"Grass","Value":0,"Category":"Low","CategoryValue":1},{"Name":"Mold","Value":0,"Category":"Low","CategoryValue":1},{"Name":"Ragweed","Value":0,"Category":"Low","CategoryValue":1},{"Name":"Tree","Value":0,"Category":"Low","CategoryValue":1},{"Name":"UVIndex","Value":0,"Category":"Low","CategoryValue":1}],"Day":{"Icon":18,"IconPhrase":"Rain","ShortPhrase":"Periods of rain","LongPhrase":"Periods of rain","PrecipitationProbability":66,"ThunderstormProbability":3,"RainProbability":66,"SnowProbability":0,"IceProbability":0,"Wind":{"Speed":{"Value":10.4,"Unit":"mi/h","UnitType":9},"Direction":{"Degrees":156,"Localized":"SSE","English":"SSE"}},"WindGust":{"Speed":{"Value":18.4,"Unit":"mi/h","UnitType":9},"Direction":{"Degrees":153,"Localized":"SSE","English":"SSE"}},"TotalLiquid":{"Value":0.32,"Unit":"in","UnitType":1},"Rain":{"Value":0.32,"Unit":"in","UnitType":1},"Snow":{"Value":0,"Unit":"in","UnitType":1},"Ice":{"Value":0,"Unit":"in","UnitType":1},"HoursOfPrecipitation":5.5,"HoursOfRain":5.5,"HoursOfSnow":0,"HoursOfIce":0,"CloudCover":97},"Night":{"Icon":12,"IconPhrase":"Showers","ShortPhrase":"Cloudy with a little rain","LongPhrase":"Cloudy with a little rain","PrecipitationProbability":56,"ThunderstormProbability":2,"RainProbability":56,"SnowProbability":0,"IceProbability":0,"Wind":{"Speed":{"Value":6.9,"Unit":"mi/h","UnitType":9},"Direction":{"Degrees":159,"Localized":"SSE","English":"SSE"}},"WindGust":{"Speed":{"Value":13.8,"Unit":"mi/h","UnitType":9},"Direction":{"Degrees":204,"Localized":"SSW","English":"SSW"}},"TotalLiquid":{"Value":0.05,"Unit":"in","UnitType":1},"Rain":{"Value":0.05,"Unit":"in","UnitType":1},"Snow":{"Value":0,"Unit":"in","UnitType":1},"Ice":{"Value":0,"Unit":"in","UnitType":1},"HoursOfPrecipitation":2,"HoursOfRain":2,"HoursOfSnow":0,"HoursOfIce":0,"CloudCover":95},"Sources":["AccuWeather"],"MobileLink":"http://m.accuweather.com/en/us/blakely-island-wa/98222/daily-weather-forecast/41406_pc?day=2&lang=en-us","Link":"http://www.accuweather.com/en/us/blakely-island-wa/98222/daily-weather-forecast/41406_pc?day=2&lang=en-us"},{"Date":"2017-12-02T07:00:00-08:00","EpochDate":1512226800,"Sun":{"Rise":"2017-12-02T07:43:00-08:00","EpochRise":1512229380,"Set":"2017-12-02T16:18:00-08:00","EpochSet":1512260280},"Moon":{"Rise":"2017-12-02T16:12:00-08:00","EpochRise":1512259920,"Set":"2017-12-03T07:26:00-08:00","EpochSet":1512314760,"Phase":"WaxingGibbous","Age":14},"Temperature":{"Minimum":{"Value":39,"Unit":"F","UnitType":18},"Maximum":{"Value":48,"Unit":"F","UnitType":18}},"RealFeelTemperature":{"Minimum":{"Value":42,"Unit":"F","UnitType":18},"Maximum":{"Value":48,"Unit":"F","UnitType":18}},"RealFeelTemperatureShade":{"Minimum":{"Value":42,"Unit":"F","UnitType":18},"Maximum":{"Value":49,"Unit":"F","UnitType":18}},"HoursOfSun":0.7,"DegreeDaySummary":{"Heating":{"Value":21,"Unit":"F","UnitType":18},"Cooling":{"Value":0,"Unit":"F","UnitType":18}},"AirAndPollen":[{"Name":"AirQuality","Value":25,"Category":"Good","CategoryValue":1,"Type":"Particle Pollution"},{"Name":"Grass","Value":0,"Category":"Low","CategoryValue":1},{"Name":"Mold","Value":0,"Category":"Low","CategoryValue":1},{"Name":"Ragweed","Value":0,"Category":"Low","CategoryValue":1},{"Name":"Tree","Value":0,"Category":"Low","CategoryValue":1},{"Name":"UVIndex","Value":0,"Category":"Low","CategoryValue":1}],"Day":{"Icon":12,"IconPhrase":"Showers","ShortPhrase":"Cloudy with a little rain","LongPhrase":"Cloudy with a little rain","PrecipitationProbability":58,"ThunderstormProbability":1,"RainProbability":58,"SnowProbability":0,"IceProbability":0,"Wind":{"Speed":{"Value":5.8,"Unit":"mi/h","UnitType":9},"Direction":{"Degrees":134,"Localized":"SE","English":"SE"}},"WindGust":{"Speed":{"Value":12.7,"Unit":"mi/h","UnitType":9},"Direction":{"Degrees":148,"Localized":"SSE","English":"SSE"}},"TotalLiquid":{"Value":0.09,"Unit":"in","UnitType":1},"Rain":{"Value":0.09,"Unit":"in","UnitType":1},"Snow":{"Value":0,"Unit":"in","UnitType":1},"Ice":{"Value":0,"Unit":"in","UnitType":1},"HoursOfPrecipitation":2,"HoursOfRain":2,"HoursOfSnow":0,"HoursOfIce":0,"CloudCover":97},"Night":{"Icon":38,"IconPhrase":"Mostly cloudy","ShortPhrase":"Mostly cloudy","LongPhrase":"Mostly cloudy","PrecipitationProbability":25,"ThunderstormProbability":0,"RainProbability":25,"SnowProbability":0,"IceProbability":0,"Wind":{"Speed":{"Value":3.5,"Unit":"mi/h","UnitType":9},"Direction":{"Degrees":45,"Localized":"NE","English":"NE"}},"WindGust":{"Speed":{"Value":9.2,"Unit":"mi/h","UnitType":9},"Direction":{"Degrees":71,"Localized":"ENE","English":"ENE"}},"TotalLiquid":{"Value":0,"Unit":"in","UnitType":1},"Rain":{"Value":0,"Unit":"in","UnitType":1},"Snow":{"Value":0,"Unit":"in","UnitType":1},"Ice":{"Value":0,"Unit":"in","UnitType":1},"HoursOfPrecipitation":0,"HoursOfRain":0,"HoursOfSnow":0,"HoursOfIce":0,"CloudCover":85},"Sources":["AccuWeather"],"MobileLink":"http://m.accuweather.com/en/us/blakely-island-wa/98222/daily-weather-forecast/41406_pc?day=3&lang=en-us","Link":"http://www.accuweather.com/en/us/blakely-island-wa/98222/daily-weather-forecast/41406_pc?day=3&lang=en-us"},{"Date":"2017-12-03T07:00:00-08:00","EpochDate":1512313200,"Sun":{"Rise":"2017-12-03T07:44:00-08:00","EpochRise":1512315840,"Set":"2017-12-03T16:17:00-08:00","EpochSet":1512346620},"Moon":{"Rise":"2017-12-03T16:58:00-08:00","EpochRise":1512349080,"Set":"2017-12-04T08:39:00-08:00","EpochSet":1512405540,"Phase":"Full","Age":15},"Temperature":{"Minimum":{"Value":38,"Unit":"F","UnitType":18},"Maximum":{"Value":45,"Unit":"F","UnitType":18}},"RealFeelTemperature":{"Minimum":{"Value":37,"Unit":"F","UnitType":18},"Maximum":{"Value":48,"Unit":"F","UnitType":18}},"RealFeelTemperatureShade":{"Minimum":{"Value":37,"Unit":"F","UnitType":18},"Maximum":{"Value":48,"Unit":"F","UnitType":18}},"HoursOfSun":1.9,"DegreeDaySummary":{"Heating":{"Value":23,"Unit":"F","UnitType":18},"Cooling":{"Value":0,"Unit":"F","UnitType":18}},"AirAndPollen":[{"Name":"AirQuality","Value":25,"Category":"Good","CategoryValue":1,"Type":"Particle Pollution"},{"Name":"Grass","Value":0,"Category":"Low","CategoryValue":1},{"Name":"Mold","Value":0,"Category":"Low","CategoryValue":1},{"Name":"Ragweed","Value":0,"Category":"Low","CategoryValue":1},{"Name":"Tree","Value":0,"Category":"Low","CategoryValue":1},{"Name":"UVIndex","Value":1,"Category":"Low","CategoryValue":1}],"Day":{"Icon":7,"IconPhrase":"Cloudy","ShortPhrase":"Considerable clouds","LongPhrase":"Considerable clouds","PrecipitationProbability":25,"ThunderstormProbability":0,"RainProbability":25,"SnowProbability":0,"IceProbability":0,"Wind":{"Speed":{"Value":2.3,"Unit":"mi/h","UnitType":9},"Direction":{"Degrees":339,"Localized":"NNW","English":"NNW"}},"WindGust":{"Speed":{"Value":8.1,"Unit":"mi/h","UnitType":9},"Direction":{"Degrees":316,"Localized":"NW","English":"NW"}},"TotalLiquid":{"Value":0,"Unit":"in","UnitType":1},"Rain":{"Value":0,"Unit":"in","UnitType":1},"Snow":{"Value":0,"Unit":"in","UnitType":1},"Ice":{"Value":0,"Unit":"in","UnitType":1},"HoursOfPrecipitation":0,"HoursOfRain":0,"HoursOfSnow":0,"HoursOfIce":0,"CloudCover":85},"Night":{"Icon":39,"IconPhrase":"Partly cloudy w/ showers","ShortPhrase":"A brief shower or two","LongPhrase":"Partly cloudy with a passing shower or two","PrecipitationProbability":57,"ThunderstormProbability":20,"RainProbability":57,"SnowProbability":0,"IceProbability":0,"Wind":{"Speed":{"Value":3.5,"Unit":"mi/h","UnitType":9},"Direction":{"Degrees":228,"Localized":"SW","English":"SW"}},"WindGust":{"Speed":{"Value":8.1,"Unit":"mi/h","UnitType":9},"Direction":{"Degrees":255,"Localized":"WSW","English":"WSW"}},"TotalLiquid":{"Value":0.07,"Unit":"in","UnitType":1},"Rain":{"Value":0.07,"Unit":"in","UnitType":1},"Snow":{"Value":0,"Unit":"in","UnitType":1},"Ice":{"Value":0,"Unit":"in","UnitType":1},"HoursOfPrecipitation":1.5,"HoursOfRain":1.5,"HoursOfSnow":0,"HoursOfIce":0,"CloudCover":56},"Sources":["AccuWeather"],"MobileLink":"http://m.accuweather.com/en/us/blakely-island-wa/98222/daily-weather-forecast/41406_pc?day=4&lang=en-us","Link":"http://www.accuweather.com/en/us/blakely-island-wa/98222/daily-weather-forecast/41406_pc?day=4&lang=en-us"},{"Date":"2017-12-04T07:00:00-08:00","EpochDate":1512399600,"Sun":{"Rise":"2017-12-04T07:46:00-08:00","EpochRise":1512402360,"Set":"2017-12-04T16:17:00-08:00","EpochSet":1512433020},"Moon":{"Rise":"2017-12-04T17:53:00-08:00","EpochRise":1512438780,"Set":"2017-12-05T09:45:00-08:00","EpochSet":1512495900,"Phase":"WaningGibbous","Age":16},"Temperature":{"Minimum":{"Value":37,"Unit":"F","UnitType":18},"Maximum":{"Value":45,"Unit":"F","UnitType":18}},"RealFeelTemperature":{"Minimum":{"Value":36,"Unit":"F","UnitType":18},"Maximum":{"Value":45,"Unit":"F","UnitType":18}},"RealFeelTemperatureShade":{"Minimum":{"Value":36,"Unit":"F","UnitType":18},"Maximum":{"Value":45,"Unit":"F","UnitType":18}},"HoursOfSun":2.9,"DegreeDaySummary":{"Heating":{"Value":24,"Unit":"F","UnitType":18},"Cooling":{"Value":0,"Unit":"F","UnitType":18}},"AirAndPollen":[{"Name":"AirQuality","Value":25,"Category":"Good","CategoryValue":1,"Type":"Particle Pollution"},{"Name":"Grass","Value":0,"Category":"Low","CategoryValue":1},{"Name":"Mold","Value":0,"Category":"Low","CategoryValue":1},{"Name":"Ragweed","Value":0,"Category":"Low","CategoryValue":1},{"Name":"Tree","Value":0,"Category":"Low","CategoryValue":1},{"Name":"UVIndex","Value":1,"Category":"Low","CategoryValue":1}],"Day":{"Icon":4,"IconPhrase":"Intermittent clouds","ShortPhrase":"Intervals of clouds and sun","LongPhrase":"Intervals of clouds and sun","PrecipitationProbability":19,"ThunderstormProbability":0,"RainProbability":19,"SnowProbability":0,"IceProbability":0,"Wind":{"Speed":{"Value":4.6,"Unit":"mi/h","UnitType":9},"Direction":{"Degrees":212,"Localized":"SSW","English":"SSW"}},"WindGust":{"Speed":{"Value":6.9,"Unit":"mi/h","UnitType":9},"Direction":{"Degrees":213,"Localized":"SSW","English":"SSW"}},"TotalLiquid":{"Value":0,"Unit":"in","UnitType":1},"Rain":{"Value":0,"Unit":"in","UnitType":1},"Snow":{"Value":0,"Unit":"in","UnitType":1},"Ice":{"Value":0,"Unit":"in","UnitType":1},"HoursOfPrecipitation":0,"HoursOfRain":0,"HoursOfSnow":0,"HoursOfIce":0,"CloudCover":70},"Night":{"Icon":7,"IconPhrase":"Cloudy","ShortPhrase":"Plenty of clouds","LongPhrase":"Plenty of clouds","PrecipitationProbability":17,"ThunderstormProbability":0,"RainProbability":17,"SnowProbability":0,"IceProbability":0,"Wind":{"Speed":{"Value":3.5,"Unit":"mi/h","UnitType":9},"Direction":{"Degrees":113,"Localized":"ESE","English":"ESE"}},"WindGust":{"Speed":{"Value":6.9,"Unit":"mi/h","UnitType":9},"Direction":{"Degrees":41,"Localized":"NE","English":"NE"}},"TotalLiquid":{"Value":0,"Unit":"in","UnitType":1},"Rain":{"Value":0,"Unit":"in","UnitType":1},"Snow":{"Value":0,"Unit":"in","UnitType":1},"Ice":{"Value":0,"Unit":"in","UnitType":1},"HoursOfPrecipitation":0,"HoursOfRain":0,"HoursOfSnow":0,"HoursOfIce":0,"CloudCover":96},"Sources":["AccuWeather"],"MobileLink":"http://m.accuweather.com/en/us/blakely-island-wa/98222/daily-weather-forecast/41406_pc?day=5&lang=en-us","Link":"http://www.accuweather.com/en/us/blakely-island-wa/98222/daily-weather-forecast/41406_pc?day=5&lang=en-us"}]},"condition":{"LocalObservationDateTime":"2017-11-30T14:35:00-08:00","EpochTime":1512081300,"WeatherText":"Rain","WeatherIcon":18,"IsDayTime":true,"Temperature":{"Metric":{"Value":7.2,"Unit":"C","UnitType":17},"Imperial":{"Value":45,"Unit":"F","UnitType":18}},"RealFeelTemperature":{"Metric":{"Value":3.7,"Unit":"C","UnitType":17},"Imperial":{"Value":39,"Unit":"F","UnitType":18}},"RealFeelTemperatureShade":{"Metric":{"Value":3.7,"Unit":"C","UnitType":17},"Imperial":{"Value":39,"Unit":"F","UnitType":18}},"RelativeHumidity":93,"DewPoint":{"Metric":{"Value":6.1,"Unit":"C","UnitType":17},"Imperial":{"Value":43,"Unit":"F","UnitType":18}},"Wind":{"Direction":{"Degrees":180,"Localized":"S","English":"S"},"Speed":{"Metric":{"Value":11.1,"Unit":"km/h","UnitType":7},"Imperial":{"Value":6.9,"Unit":"mi/h","UnitType":9}}},"WindGust":{"Speed":{"Metric":{"Value":24.1,"Unit":"km/h","UnitType":7},"Imperial":{"Value":15,"Unit":"mi/h","UnitType":9}}},"UVIndex":0,"UVIndexText":"Low","Visibility":{"Metric":{"Value":6.4,"Unit":"km","UnitType":6},"Imperial":{"Value":4,"Unit":"mi","UnitType":2}},"ObstructionsToVisibility":"R-","CloudCover":100,"Ceiling":{"Metric":{"Value":914,"Unit":"m","UnitType":5},"Imperial":{"Value":3000,"Unit":"ft","UnitType":0}},"Pressure":{"Metric":{"Value":1018,"Unit":"mb","UnitType":14},"Imperial":{"Value":30.06,"Unit":"inHg","UnitType":12}},"PressureTendency":{"LocalizedText":"Steady","Code":"S"},"Past24HourTemperatureDeparture":{"Metric":{"Value":-1.7,"Unit":"C","UnitType":17},"Imperial":{"Value":-3,"Unit":"F","UnitType":18}},"ApparentTemperature":{"Metric":{"Value":8.9,"Unit":"C","UnitType":17},"Imperial":{"Value":48,"Unit":"F","UnitType":18}},"WindChillTemperature":{"Metric":{"Value":5,"Unit":"C","UnitType":17},"Imperial":{"Value":41,"Unit":"F","UnitType":18}},"WetBulbTemperature":{"Metric":{"Value":6.7,"Unit":"C","UnitType":17},"Imperial":{"Value":44,"Unit":"F","UnitType":18}},"Precip1hr":{"Metric":{"Value":2,"Unit":"mm","UnitType":3},"Imperial":{"Value":0.07,"Unit":"in","UnitType":1}},"PrecipitationSummary":{"Precipitation":{"Metric":{"Value":2,"Unit":"mm","UnitType":3},"Imperial":{"Value":0.07,"Unit":"in","UnitType":1}},"PastHour":{"Metric":{"Value":2,"Unit":"mm","UnitType":3},"Imperial":{"Value":0.07,"Unit":"in","UnitType":1}},"Past3Hours":{"Metric":{"Value":5,"Unit":"mm","UnitType":3},"Imperial":{"Value":0.19,"Unit":"in","UnitType":1}},"Past6Hours":{"Metric":{"Value":9,"Unit":"mm","UnitType":3},"Imperial":{"Value":0.36,"Unit":"in","UnitType":1}},"Past9Hours":{"Metric":{"Value":9,"Unit":"mm","UnitType":3},"Imperial":{"Value":0.36,"Unit":"in","UnitType":1}},"Past12Hours":{"Metric":{"Value":11,"Unit":"mm","UnitType":3},"Imperial":{"Value":0.43,"Unit":"in","UnitType":1}},"Past18Hours":{"Metric":{"Value":11,"Unit":"mm","UnitType":3},"Imperial":{"Value":0.45,"Unit":"in","UnitType":1}},"Past24Hours":{"Metric":{"Value":11,"Unit":"mm","UnitType":3},"Imperial":{"Value":0.45,"Unit":"in","UnitType":1}}},"TemperatureSummary":{"Past6HourRange":{"Minimum":{"Metric":{"Value":6.1,"Unit":"C","UnitType":17},"Imperial":{"Value":43,"Unit":"F","UnitType":18}},"Maximum":{"Metric":{"Value":7.9,"Unit":"C","UnitType":17},"Imperial":{"Value":46,"Unit":"F","UnitType":18}}},"Past12HourRange":{"Minimum":{"Metric":{"Value":6.1,"Unit":"C","UnitType":17},"Imperial":{"Value":43,"Unit":"F","UnitType":18}},"Maximum":{"Metric":{"Value":8.9,"Unit":"C","UnitType":17},"Imperial":{"Value":48,"Unit":"F","UnitType":18}}},"Past24HourRange":{"Minimum":{"Metric":{"Value":6.1,"Unit":"C","UnitType":17},"Imperial":{"Value":43,"Unit":"F","UnitType":18}},"Maximum":{"Metric":{"Value":10,"Unit":"C","UnitType":17},"Imperial":{"Value":50,"Unit":"F","UnitType":18}}}},"MobileLink":"http://m.accuweather.com/en/us/blakely-island-wa/98222/current-weather/41406_pc?lang=en-us","Link":"http://www.accuweather.com/en/us/blakely-island-wa/98222/current-weather/41406_pc?lang=en-us"},"location":{"Version":1,"Key":"41406_PC","Type":"PostalCode","Rank":75,"LocalizedName":"Blakely Island","EnglishName":"Blakely Island","PrimaryPostalCode":"98222","Region":{"ID":"NAM","LocalizedName":"North America","EnglishName":"North America"},"Country":{"ID":"US","LocalizedName":"United States","EnglishName":"United States"},"AdministrativeArea":{"ID":"WA","LocalizedName":"Washington","EnglishName":"Washington","Level":1,"LocalizedType":"State","EnglishType":"State","CountryID":"US"},"TimeZone":{"Code":"PST","Name":"America/Los_Angeles","GmtOffset":-8,"IsDaylightSaving":false,"NextOffsetChange":"2018-03-11T10:00:00Z"},"GeoPosition":{"Latitude":48.561,"Longitude":-122.803,"Elevation":{"Metric":{"Value":129,"Unit":"m","UnitType":5},"Imperial":{"Value":423,"Unit":"ft","UnitType":0}}},"IsAlias":false,"SupplementalAdminAreas":[{"Level":2,"LocalizedName":"San Juan","EnglishName":"San Juan"}],"DataSets":["Alerts","DailyAirQualityForecast","DailyPollenForecast","ForecastConfidence","MinuteCast"]}};
//continueInit(ooo);
function continueInit(obj2) {
    windowWidth = window.innerWidth;
    windowHeight = window.innerHeight;
    canvas = document.getElementById('weatherContainer');
    stage = new createjs.Stage(canvas);
    stage.canvas.width = 1280;
    stage.canvas.height = 900;
    var context = canvas.getContext("2d");
    context.imageSmoothingEnabled = true;
    var bgCont = new createjs.Container();

    if (backColor) {
        var shape = new createjs.Shape();
        shape.graphics.beginFill(backColor).drawRect(0, 0, 1280, 900);
        bgCont.addChild(shape);
        stage.addChild(bgCont);
    }

    if (bgImage && bgImage != 'noImage') {
        bgCont.addChild(loadImageAndFitTo('images/' + bgImage, bgCont, 1280, 900));
        if (bgCont.stage == null) stage.addChild(bgCont);
    }


    var textsContainer = new createjs.Container();
    stage.addChild(textsContainer);

    //var y = obj2.forecast.forecast.simpleforecast.forecastday[0].date.year;
    //var m = ("00" + obj2.forecast.forecast.simpleforecast.forecastday[0].date.month).substr(-2);
    //var d = ("00" + obj2.forecast.forecast.simpleforecast.forecastday[0].date.day).substr(-2);

    //var dayy = strToDate(y + "-" + m + "-" + d + 'T00:00:00');

    var dayy = strToDate(obj2.forecast.DailyForecasts["0"].Date);

    var locationName = obj2.location.EnglishName;
    switch (theme) {
        case '4':
            var cityHolder = new lib.moredes41();
            cityHolder.scaleY = 2.1;
            cityHolder.scaleX = 1.9;
            cityHolder.y = 20;
            cityHolder.x = -5;
            stage.addChild(cityHolder);

            city = new createjs.Text(locationName, 'bold 32px Montserrat', '#FFFFFF');
            city.y = 7;
            city.x = (680 - city.getBounds().width) / 2;
            cityHolder.addChild(city);
            break;
        case '3':
            var cityHolder = new lib.moredes21();
            cityHolder.scaleY = 2;
            cityHolder.scaleX = 1.9;
            cityHolder.y = 20;
            cityHolder.x = -3;
            cityHolder.shape.alpha = 0.7

            city = new createjs.Text(locationName + ' - current conditions: ', 'bold 18px Montserrat', '#FFFFFF');
            city.y = 6;
            city.x = 15;
            cityHolder.addChild(city);


            currentDay = new createjs.Text(getFullDay(dayy.getDay()), 'bold 18px Montserrat', '#FFFFFF');
            currentDay.y = 6;
            currentDay.x = 660;
            currentDay.textAlign = 'right';
            cityHolder.addChild(currentDay);

            var cityIcon = displayFromCode(obj2.condition.WeatherIcon);
            cityIcon.x = 90;
            cityIcon.y = 30;
            cityIcon.scaleX = cityIcon.scaleY = 0.6;

            currentTemp = new createjs.Text(Math.round(getValueFromFahrenheit(obj2.condition.Temperature.Imperial.Value) ) + '°', 'bold 64px Montserrat', '#FFFFFF');
            currentTemp.y = 5;
            currentTemp.x = 320;
            currentTemp.textAlign = 'right';

            currentCond = new createjs.Text(obj2.condition.WeatherText, 'bold 18px Montserrat', '#FFFFFF');
            currentCond.y = 70;
            currentCond.x = 260;
            currentCond.textAlign = 'center';

            var oneDayHolder = new lib.headerFrBg2();
            oneDayHolder.scaleX = 1.3;
            oneDayHolder.scaleY = 2;
            oneDayHolder.x = 400;
            oneDayHolder.y = 150;
            oneDayHolder.shape.alpha = 0.3;

            oneDayHolder.addChild(cityIcon);
            oneDayHolder.addChild(currentTemp);
            oneDayHolder.addChild(currentCond);

            stage.addChild(oneDayHolder);
            stage.addChild(cityHolder);
            break;
        case '2':
            var cityHolder = new lib.moredes11();
            cityHolder.scaleY = 2;
            cityHolder.scaleX = 1.9;
            cityHolder.y = 20;
            cityHolder.x = -3;
            cityHolder.shape.alpha = 0.4

            city = new createjs.Text(locationName + ' - current conditions: ', 'bold 18px Montserrat', '#FFFFFF');
            city.y = 5;
            city.x = 15;
            cityHolder.addChild(city);


            currentDay = new createjs.Text(getFullDay(dayy.getDay()), 'bold 18px Montserrat', '#FFFFFF');
            currentDay.y = 5;
            currentDay.x = 660;
            currentDay.textAlign = 'right';
            cityHolder.addChild(currentDay);

            var cityIcon = displayFromCode(obj2.condition.WeatherIcon);
            cityIcon.x = 90;
            cityIcon.y = 30;
            cityIcon.scaleX = cityIcon.scaleY = 0.6;

            currentTemp = new createjs.Text(Math.round(getValueFromFahrenheit(obj2.condition.Temperature.Imperial.Value)) + '°', 'bold 64px Montserrat', '#FFFFFF');
            currentTemp.y = 5;
            currentTemp.x = 320;
            currentTemp.textAlign = 'right';

            currentCond = new createjs.Text(obj2.condition.WeatherText, 'bold 18px Montserrat', '#FFFFFF');
            currentCond.y = 70;
            currentCond.x = 260;
            currentCond.textAlign = 'center';

            var oneDayHolder = new lib.headerFrBg2();
            oneDayHolder.scaleX = 1.3;
            oneDayHolder.scaleY = 2;
            oneDayHolder.x = 400;
            oneDayHolder.y = 150;
            oneDayHolder.shape.alpha = 0.3;

            oneDayHolder.addChild(cityIcon);
            oneDayHolder.addChild(currentTemp);
            oneDayHolder.addChild(currentCond);

            stage.addChild(oneDayHolder);
            stage.addChild(cityHolder);
            break;
        case '1':
            var cityHolder = new lib.moredes01();
            cityHolder.scaleY = 2;
            cityHolder.scaleX = 1.9;
            cityHolder.y = 20;
            cityHolder.x = -3;
            cityHolder.shape.alpha = 0.4

            city = new createjs.Text(locationName + ' - current conditions: ', 'bold 18px Montserrat', '#FFFFFF');
            city.y = 5;
            city.x = 15;
            cityHolder.addChild(city);

            currentDay = new createjs.Text(getFullDay(dayy.getDay()), 'bold 18px Montserrat', '#FFFFFF');
            currentDay.y = 5;
            currentDay.x = 660;
            currentDay.textAlign = 'right';
            cityHolder.addChild(currentDay);

            var cityIcon = displayFromCode(obj2.condition.WeatherIcon);
            cityIcon.x = 90;
            cityIcon.y = 30;
            cityIcon.scaleX = cityIcon.scaleY = 0.6;

            currentTemp = new createjs.Text(Math.round(getValueFromFahrenheit(obj2.condition.Temperature.Imperial.Value)) + '°', 'bold 64px Montserrat', '#FFFFFF');
            currentTemp.y = 5;
            currentTemp.x = 320;
            currentTemp.textAlign = 'right';

            currentCond = new createjs.Text(obj2.condition.WeatherText, 'bold 18px Montserrat', '#FFFFFF');
            currentCond.y = 70;
            currentCond.x = 260;
            currentCond.textAlign = 'center';

            var oneDayHolder = new lib.headerFrBg2();
            oneDayHolder.scaleX = 1.3;
            oneDayHolder.scaleY = 2;
            oneDayHolder.x = 400;
            oneDayHolder.y = 150;
            oneDayHolder.shape.alpha = 0.3;

            oneDayHolder.addChild(cityIcon);
            oneDayHolder.addChild(currentTemp);
            oneDayHolder.addChild(currentCond);

            stage.addChild(oneDayHolder);
            stage.addChild(cityHolder);
            break;

    }
    for (var i = 0; i < obj2.forecast.DailyForecasts.length && i<5; i++) {
        var fd = obj2.forecast.DailyForecasts[i];
        var dayDate = strToDate(fd.Date);
        switch (theme) {
            case '4':
                day = createDayWeather4(weekday[dayDate.getDay()], Math.round(getValueFromFahrenheit(fd.Temperature.Maximum.Value)), Math.round(getValueFromFahrenheit(fd.Temperature.Minimum.Value)), fd.Day.Icon, fd.Day.ShortPhrase);
                day.x = 150 + (200 * i);
                day.y = 200;
                day.scaleX = 1.7;
                day.scaleY = 2;
                break;
            case '3':
                day = createDayWeather3(weekday[dayDate.getDay()], Math.round(getValueFromFahrenheit(fd.Temperature.Maximum.Value)), Math.round(getValueFromFahrenheit(fd.Temperature.Minimum.Value)), fd.Day.Icon, fd.Day.ShortPhrase);
                day.x = 20 + (254 * i);
                day.y = 400;
                day.scaleX = 1.8;
                day.scaleY = 2.3;
                break;
            case '2':
                day = createDayWeather2(weekday[dayDate.getDay()], Math.round(getValueFromFahrenheit(fd.Temperature.Maximum.Value)), Math.round(getValueFromFahrenheit(fd.Temperature.Minimum.Value)), fd.Day.Icon, fd.Day.ShortPhrase);
                day.x = 20 + (254 * i);
                day.y = 400;
                day.scaleX = 1.8;
                day.scaleY = 2.3;
                break;
            case '1':
                day = createDayWeather1(weekday[dayDate.getDay()], Math.round(getValueFromFahrenheit(fd.Temperature.Maximum.Value)), Math.round(getValueFromFahrenheit(fd.Temperature.Minimum.Value)), fd.Day.Icon, fd.Day.ShortPhrase);
                day.x = 20 + (254 * i);
                day.y = 400;
                day.scaleX = 1.8;
                day.scaleY = 2.3;
                break;
        }

        textsContainer.addChild(day);
    }
    stage.update();

    createjs.Ticker.setFPS(12);
    createjs.Ticker.addEventListener('tick', tick);
}


function handleFileLoad(evt) {
	if (evt.item.type == "image") { images[evt.item.id] = evt.result; }
	assets.push(evt.item);
}

function handleProgress(evt)
{
	//progressbar here
}

function strToDate(dateStr)
{
    var dateTry = new Date(dateStr);

    if (!dateTry.getTime())
    {
        //throw new Exception("Bad Date! dateStr: " + dateStr);
    }

    var tz = dateStr.trim().match(/(Z)|([+-](\d{2})\:?(\d{2}))$/);

    if (!tz)
    {
        var newTzOffset = dateTry.getTimezoneOffset() / 60;
        var newSignStr = (newTzOffset >= 0) ? '-' : '+';
        var newTz = newSignStr + ('0' + Math.abs(newTzOffset)).slice(-2) + ':00';

        dateStr = dateStr.trim() + newTz;
        console.log('with tz:',dateStr)
        dateTry = new Date(dateStr);

        if (!dateTry.getTime())
        {
            //throw new Exception("Bad Date! dateStr: " + dateStr);
        }
    }

    return dateTry;
}


function handleComplete(evt)
{
	//console.log('Assets loaded')
	for (var i=0; i<assets.length; i++)
	{
		var item = assets[i];
		var id = item.id;
		var result;
		if (id=='chancerain')
		{
			result = loader.getResult(id);
			chanceRain = new createjs.Shape(new createjs.Graphics().beginBitmapFill(result).drawRect(0, 0, 64, 64));
			chanceRain.regX = 32;
			chanceRain.regY = 32;
		}

		if (id=='chancesnow')
		{
			result = loader.getResult(id);
			chanceSnow = new createjs.Shape(new createjs.Graphics().beginBitmapFill(result).drawRect(0, 0, 64, 64));
			chanceSnow.regX = 32;
			chanceSnow.regY = 32;
		}

		if (id=='chancetstorms')
		{
			result = loader.getResult(id);
			chanceStorm = new createjs.Shape(new createjs.Graphics().beginBitmapFill(result).drawRect(0, 0, 64, 64));
			chanceStorm.regX = 32;
			chanceStorm.regY = 32;
		}
		if (id=='clear')
		{
			result = loader.getResult(id);
			chanceClear = new createjs.Shape(new createjs.Graphics().beginBitmapFill(result).drawRect(0, 0, 64, 64));
			chanceClear.regX = 32;
			chanceClear.regY = 32;
		}

		if (id=='partlycloudy')
		{
			result = loader.getResult(id);
			chanceCloudy = new createjs.Shape(new createjs.Graphics().beginBitmapFill(result).drawRect(0, 0, 64, 64));
			chanceCloudy.regX = 32;
			chanceCloudy.regY = 32;
		}
	}

	//continueInit(objMain);	--- debifeaza daca sunt imagini
}


function degreesToDirection(nr)

{

	if (nr >= 348.75 || nr < 11.25) return 'N';
	if (nr >= 11.25 && nr < 33.75) return 'NNE';
	if (nr >= 33.75 && nr < 56.25) return 'NE';
	if (nr >= 56.25 && nr < 78.75) return 'ENE';
	if (nr >= 78.75 && nr < 101.25) return 'E';
	if (nr >= 101.25 && nr < 123.75) return 'ESE';
	if (nr >= 123.75 && nr < 146.25) return 'SE';
	if (nr >= 146.25 && nr < 168.75) return 'SSE';
	if (nr >= 168.75 && nr < 191.25) return 'S';
	if (nr >= 191.25 && nr < 213.75) return 'SSW';
	if (nr >= 213.75 && nr < 236.25) return 'SW';
	if (nr >= 236.25 && nr < 258.75) return 'WSW';
	if (nr >= 258.75 && nr < 281.25) return 'W';
	if (nr >= 281.25 && nr < 303.75) return 'WNW';
	if (nr >= 303.75 && nr < 326.25) return 'NW';
	if (nr >= 326.25 && nr < 348.75) return 'NNW';
	return 'none';
}

function getFullDay_old(ziua)
{
	switch (ziua){
		case 'Sun':
			return 'Sunday';
			break;
		case 'Mon':
			return 'Monday';
			break;
		case 'Tue':
			return 'Tuesday';
			break;
		case 'Wed':
			return 'Wednesday';
			break;
		case 'Thu':
			return 'Thursday';
			break;
		case 'Fri':
			return 'Friday';
			break;
		case 'Sat':
			return 'Saturday';
			break;
		default:
			return 'Unknown';
			break;
	}
}

function getFullDay(ziua)
{
	switch (ziua){
		case 0:
			return 'Sunday';
			break;
		case 1:
			return 'Monday';
			break;
		case 2:
			return 'Tuesday';
			break;
		case 3:
			return 'Wednesday';
			break;
		case 4:
			return 'Thursday';
			break;
		case 5:
			return 'Friday';
			break;
		case 6:
			return 'Saturday';
			break;
		default:
			return 'Unknown';
			break;
	}
}



function displayFromCode(code)
{
    code = String(code);
	var ret;
	switch (code){
                    
        case "snow": // = "wi-snow";
        case "chancesnow":// "wi-snow";
        case "chancesleet":// = "wi-rain-mix";
        case "sleet":// = "wi-rain-mix";
		case '600':
		case '601':
		case '602':
		case '611':
		case '612':
		case '615':
		case '616':
		case '620':
		case '621':
		case '622':
            
        case '22'://icons[22]="wi-snow";
        case '23':    //icons[23]="wi-day-snow";
        case '44':    //icons[44]="wi-night-alt-snow";
        case '24':    //icons[24]="wi-snowflake-cold";
        case '41'://icons[41]="wi-night-alt-snow-thunderstorm";
        case '42'://icons[42]="wi-night-alt-snow-thunderstorm";
case '25':    //icons[25]="wi-sleet";
case '26':    //icons[26]="wi-sleet";

            
            
			//ret = chanceSnow.clone(false); 
			ret = new lib.snowy();
			ret.scaleX = ret.scaleY = iconScale;
			moveSnowy(ret);
			//return new ChanceSnow();
			return ret;
			break;
            
        case "chancetstorms":// = "wi-thunderstorm";
        case "tstorms":// = "wi-thunderstorm";
        case "unknown": // = "wi-thunderstorm";

		case '200':
		case '201':
		case '202':
		case '210':
		case '211':
		case '212':
		case '221':
		case '230':
		case '231':
		case '232':
            
case '15'://icons[15]="wi-thunderstorm";
case '16'://icons[16]="wi-day-storm-showers";
case '17'://icons[17]="wi-day-storm-showers";

			//console.log('storm');
			//ret = chanceStorm.clone(false);
			ret = new lib.stormy();
			ret.scaleX = ret.scaleY = iconScale;
			ret.regX = 10 * iconScale;
			ret.regY = -20;
			//return new ChanceStorm();
			return ret;
			break;
        case "cloudy":// = "wi-cloudy";
        case "fog":// = "wi-fog";
        case "hazy":// = "wi-day-fog";
        case "mostlycloudy":// = "wi-cloud";
        case "mostlysunny":// = "wi-day-cloudy";
        case "partlycloudy":// = "wi-day-cloudy";
        case "partlysunny":// = "wi-cloud";
            
		case '300':
		case '301':
		case '302':
		case '310':
		case '311':
		case '312':
		case '313':
		case '314':
		case '321':
case '3':     //icons[3]="wi-day-cloudy";
case '4':     //icons[4]="wi-day-cloudy";
case '5':     //icons[5]="wi-day-haze";
case '6':     //icons[6]="wi-cloudy";
case '7':     //icons[7]="wi-cloudy";
case '8':     //icons[8]="wi-cloudy";
case '11':     //icons[11]="wi-fog";
case '19':     //icons[19]="wi-cloudy-gusts";
case '20':     //icons[20]="wi-cloudy-gusts";
case '21':     //icons[21]="wi-day-cloudy-gusts";
case '35':     //icons[35]="wi-night-alt-cloudy";
case '36':     //icons[36]="wi-night-alt-cloudy";
case '37':     //icons[37]="wi-night-fog";
case '38':     //icons[38]="wi-cloudy";
case '43':     //icons[43]="wi-night-alt-cloudy-gusts";
case '32':     //icons[32]="wi-strong-wind";

			//console.log('cloud');
			//ret = chanceCloudy.clone(false);
			ret = new lib.clowdyz();
			sunY = ret.sun.y;
			norY = ret.nor2.y;
			ret.scaleX = ret.scaleY = iconScale;
			ret.regX = 150// * iconScale;
			ret.regY = 61// * iconScale;
			moveClowdy(ret);
			//return new ChanceClouds();
			return ret;
			break;
		case '800':
        case "clear":// = "wi-day-sunny";
        case "sunny":// = "wi-day-sunny";
case '1':     //icons[1]="wi-day-sunny";
case '2':     //icons[2]="wi-day-sunny";
case '33':     //icons[33]="wi-night-clear";
case '34':     //icons[34]="wi-night-clear";

            
			//ret = chanceClear.clone(false);
			ret = new lib.sunn();
			ret.scaleX = ret.scaleY = iconScale;
			ret.regX = 74 * 0.55;
			ret.regY = 61 * 0.55;
			ret.name = 'sunny';
			moveSunny(ret);
			//return new ChanceClear();
			return ret;
			break;
		default:
            
            /*
            icons["chanceflurries"] = "wi-rain-wind";
        icons["chancerain"] = "wi-rain";
            icons["flurries"] = "wi-rain-wind";
            icons["rain"] = "wi-rain";
            */
            
/*

icons[12]="wi-showers";
icons[13]="wi-day-showers";
icons[14]="wi-day-showers";
icons[18]="wi-rain";
icons[29]="wi-rain-mix";
icons[30]="wi-thermometer";
icons[31]="wi-thermometer-exterior";
icons[39]="wi-night-alt-showers";
icons[40]="wi-night-alt-showers";


*/
            
			//ret = chanceRain.clone(false);
			ret = new lib.rainy();
			ret.scaleX = ret.scaleY = iconScale;
			ret.regX = 100// * iconScale;
			ret.regY = 61 ;
			moveRainy(ret);
			//return new ChanceRain();
			return ret;
			break
	}
}

function displayFromCode__(code)
{
	var ret;
	switch (code){
		case '5':
		case '6':
		case '7':
		case '8':
		case '9':
		case '13':
		case '14':
		case '15':
		case '16':
		case '17':
		case '18':
		case '41':
		case '42':
		case '43':
		case '46':
			//ret = chanceSnow.clone(false); 
			ret = new lib.snowy();
			ret.scaleX = ret.scaleY = iconScale;
			moveSnowy(ret);
			//return new ChanceSnow();
			return ret;
			break;
		case '0':
		case '1':
		case '2':
		case '3':
		case '4':
		case '37':
		case '38':
		case '39':
		case '45':
		case '47':
			//console.log('storm');
			//ret = chanceStorm.clone(false);
			ret = new lib.stormy();
			ret.scaleX = ret.scaleY = iconScale;
			ret.regX = 10 * iconScale;
			ret.regY = -20;
			//return new ChanceStorm();
			return ret;
			break;
		case '20':
		case '21':
		case '22':
		case '23':
		case '24':
		case '25':
		case '26':
		case '27':
		case '28':
		case '29':
		case '30':
			//console.log('cloud');
			//ret = chanceCloudy.clone(false);
			ret = new lib.clowdyz();
			sunY = ret.sun.y;
			norY = ret.nor2.y;
			ret.scaleX = ret.scaleY = iconScale;
			ret.regX = 150// * iconScale;
			ret.regY = 61// * iconScale;
			moveClowdy(ret);
			//return new ChanceClouds();
			return ret;
			break;
		case '31':
		case '32':
		case '33':
		case '34':
		case '36':
			//ret = chanceClear.clone(false);
			ret = new lib.sunn();
			ret.scaleX = ret.scaleY = iconScale;
			ret.regX = 74 * 0.55;
			ret.regY = 61 * 0.55;
			ret.name = 'sunny';
			moveSunny(ret);
			//return new ChanceClear();
			return ret;
			break;
		default:
			//ret = chanceRain.clone(false);
			ret = new lib.rainy();
			ret.scaleX = ret.scaleY = iconScale;
			ret.regX = 100// * iconScale;
			ret.regY = 61 ;
			moveRainy(ret);
			//return new ChanceRain();
			return ret;
			break
	}
}

//day forecast object
(function() {
	var ChanceRain = function() {
		this.initialize();
	}
	var M = ChanceRain.prototype = new createjs.Container(); // inherit from Container
	M.Container_initialize = M.initialize;
	M.initialize = function() {
    	this.Container_initialize();
    	this.addChild(chanceRain);
	}
	window.ChanceRain = ChanceRain;
}(window));

(function() {
	var ChanceClear = function() {
		this.initialize();
	}
	var M = ChanceClear.prototype = new createjs.Container(); // inherit from Container
	M.Container_initialize = M.initialize;
	M.initialize = function() {
    	this.Container_initialize();
    	this.addChild(chanceClear);
	}
	window.ChanceClear = ChanceClear;
}(window));

(function() {

	var ChanceSnow = function() {
		this.initialize();
	}
	var M = ChanceSnow.prototype = new createjs.Container(); // inherit from Container
	M.Container_initialize = M.initialize;
	M.initialize = function() {
    	this.Container_initialize();
    	this.addChild(chanceSnow);
	}
	window.ChanceSnow = ChanceSnow;
}(window));

(function() {
	var ChanceStorm = function() {
		this.initialize();
	}
	var M = ChanceStorm.prototype = new createjs.Container(); // inherit from Container
	M.Container_initialize = M.initialize;
	M.initialize = function() {
    	this.Container_initialize();
    	this.addChild(chanceStorm);
	}
	window.ChanceStorm = ChanceStorm;
}(window));

(function() {
	var ChanceClouds = function() {
		this.initialize();
	}
	var M = ChanceClouds.prototype = new createjs.Container(); // inherit from Container
	M.Container_initialize = M.initialize;
	M.initialize = function() {
    	this.Container_initialize();
    	this.addChild(chanceCloudy);
	}
	window.ChanceClouds = ChanceClouds;
}(window));

function createDayWeather4(d, hi, lo, c, cond)
{
	//console.log('d:',d,' hi:',hi,' lo:',lo,' c:',c,' cond:',cond);
	var daay = new lib.dayForecast4_1();

	daay.conditions.text = cond;
	daay.highTom.text = hi+'°';
	daay.lowTom.text = lo+'°';

	daay.conditions.y += 10;
	daay.conditions.x += 3;
	daay.highTom.y+= 10;
	daay.lowTom.y+=10;
	daay.whatDay.y+=5;

	daay.highTom.font = "bold 38px Montserrat";
	daay.lowTom.font = "bold 32px Montserrat";
	daay.conditions.font = "cond 14px Montserrat";

	daay.whatDay.text = d; 
	daay.whatDay.shadow = new createjs.Shadow("rgba(0,0,0,1)",0,0,7);

	daay.backItem.shape_2.shadow = new createjs.Shadow("rgba(0,0,0,1)", 0, 0, 20);

	var icon = displayFromCode(c);
	icon.x = 40;
	icon.y = 90;
	//console.log('icon: '+icon.id);
 	
 	daay.addChild(icon);

	return daay;
}

function createDayWeather1(d, hi, lo, c, cond)
{
	var daay = new lib.dayForecast();

	daay.conditions.text = cond;
	daay.highTom.text = hi+'°';
	daay.lowTom.text = lo+'°';

	daay.conditions.y += 10;
	daay.conditions.x += 3;
	daay.highTom.y+= 5;
	daay.lowTom.y+=5;
	daay.whatDay.y+=5;

	daay.highTom.font = "bold 20px Montserrat";
	daay.lowTom.font = "bold 20px Montserrat";
	daay.conditions.font = "bold cond 44px Montserrat";

	daay.whatDay.text = d;
	daay.whatDay.y += 3;
	daay.whatDay.shadow = new createjs.Shadow("rgba(0,0,0,1)",0,0,7);

	//console.log('backItem:',daay.instance_1);
	daay.instance_1.alpha = 0.25;
	daay.instance_1.shape.shadow = new createjs.Shadow("rgba(0,0,0,1)", 0, 0, 20);

	daay.instance_2.visible = false;

	var icon = displayFromCode(c);
	icon.x = 60;
	icon.y = 110;
	//console.log('icon: '+icon.id);
 	
 	daay.addChild(icon);

	return daay;
}

function createDayWeather2(d, hi, lo, c, cond)
{
	var daay = new lib.dayForecast2_1();

	daay.conditions.text = cond;
	daay.highTom.text = hi+'°';
	daay.lowTom.text = lo+'°';

	daay.conditions.y += 10;
	daay.conditions.x += 3;
	daay.highTom.y+= 5;
	daay.lowTom.y+=5;
	daay.whatDay.y+=8;

	daay.highTom.font = "bold 20px Montserrat";
	daay.lowTom.font = "bold 20px Montserrat";
	daay.conditions.font = "bold cond 14px Montserrat";

	daay.whatDay.text = d;
	daay.whatDay.shadow = new createjs.Shadow("rgba(0,0,0,1)",0,0,7);

	//console.log('backItem:',daay.instance_1);
	daay.instance_1.alpha = 0.25;
	//daay.instance.shape.shadow = new createjs.Shadow("rgba(0,0,0,1)", 0, 0, 20);

	//daay.instance_1.visible = false;

	var icon = displayFromCode(c);
	icon.x = 60;
	icon.y = 110;
	//console.log('icon: '+icon.id);
 	
 	daay.addChild(icon);

	return daay;
}

function createDayWeather3(d, hi, lo, c, cond)
{
	var daay = new lib.dayForecast3_1();

	daay.conditions.text = cond;
	daay.highTom.text = hi+'°';
	daay.lowTom.text = lo+'°';

	daay.conditions.y += 10;
	daay.conditions.x += 3;
	daay.highTom.y+= 5;
	daay.lowTom.y+=5;
	daay.whatDay.y+=8;

	daay.highTom.font = "bold 20px Montserrat";
	daay.lowTom.font = "bold 20px Montserrat";
	daay.conditions.font = "bold cond 14px Montserrat";

	daay.whatDay.text = d;
	daay.whatDay.shadow = new createjs.Shadow("rgba(0,0,0,1)",0,0,7);

	//console.log('backItem:',daay.instance_1);
	daay.instance.alpha = 0.65;
	//daay.instance.shape.shadow = new createjs.Shadow("rgba(0,0,0,1)", 0, 0, 20);

	//daay.instance_1.visible = false;

	var icon = displayFromCode(c);
	icon.x = 60;
	icon.y = 110;
	//console.log('icon: '+icon.id);
 	
 	daay.addChild(icon);

	return daay;
}

function createDayWeather1__(d,hi,lo,c)
{
	var cont = new createjs.Container();

	var graphicss = new createjs.Graphics().beginFill("#444444").drawRect(0, 0, 170, 115);
 	var bgShapee = new createjs.Shape(graphicss);
 	bgShapee.alpha = 0;

 	var dayTex = new createjs.Text(d, '18px Montserrat', '#BBBBBB');
 	dayTex.textAlign = 'center';
 	dayTex.y = 5;
 	dayTex.x = 85;

 	var hiText = new createjs.Text(hi+'°'+' high', 'bold 16px Arial', '#EEEEEE');
 	var loText = new createjs.Text(' low ' +lo+'°', 'bold 16px Arial', '#999999');
	hiText.y = 85;
	loText.y = 85;

	hiText.textAlign = 'left';
	loText.textAlign = 'right';
	hiText.x = 85 + 10;
	loText.x = 85 - 10;

	var icon = displayFromCode(c);
	icon.x = 85;
	icon.y = 55;
	//console.log('icon: '+icon.id);
 	cont.addChild(bgShapee);
 	cont.addChild(dayTex);
 	cont.addChild(loText);
 	cont.addChild(hiText);
 	cont.addChild(icon);
 	return cont;

}

function moveSunny(sun)
{
	var halou = sun.halou;
	var coroana = sun.coroana;

	if (halou.alpha >= 50)
	{
		createjs.Tween
			.get(halou)
			.wait(0)
			.to({scaleX:2, scaleY:2, alpha:0}, 2000, createjs.Ease.cubicOut);
		createjs.Tween
			.get(coroana)
			.wait(0)
			.to({rotation:coroana.rotation+60}, 2000, createjs.Ease.linear)
			.call(moveSunny, [sun]);
	}
	else
	{
		halou.scaleX = halou.scaleY = 1;
		halou.alpha = 0.5;
		createjs.Tween
			.get(halou)
			.wait(0)
			.to({scaleX:2, scaleY:2, alpha:0}, 2000, createjs.Ease.cubicOut);
		createjs.Tween
			.get(coroana)
			.wait(0)
			.to({rotation:coroana.rotation+60}, 2000, createjs.Ease.linear)
			.call(moveSunny, [sun]);
	}

}

var clow = true;

function moveClowdy(clowd)
{
	if (clow)
	{
		moveClowdy2(clowd)
		clow = false;
	}
	var son = clowd.sun;
	if (sunY == son.y)
	{
		createjs.Tween
			.get(son)
			.wait(0)
			.to({y:son.y + 14, alpha: 0.4}, 5000, createjs.Ease.cubicOut)
			.call(moveClowdy, [clowd]);
	}else{
		createjs.Tween
			.get(son)
			.wait(0)
			.to({y:sunY, alpha:1}, 4000, createjs.Ease.cubicOut)
			.call(moveClowdy, [clowd]);
	}
}

function moveClowdy2(clowd)
{
	var clowd2 = clowd.nor2;

	if (norY == clowd2.y)
	{
		createjs.Tween
			.get(clowd2)
			.wait(0)
			.to({y:clowd2.y - 28, alpha:0.4}, 5000, createjs.Ease.cubicOut)
			.call(moveClowdy2, [clowd])
	}else{
		createjs.Tween
			.get(clowd2)
			.wait(0)
			.to({y:norY, alpha:0.8}, 4000, createjs.Ease.cubicOut)
			.call(moveClowdy2, [clowd])
	}
}


function moveRainy(rain)
{
	var tempCont = rain.rainHolder;
	rainArr[rainCount] = [];
	for (var i=0;i<20;i++)
	{
		var drop = new lib.raind();
		drop.name = 'drop'+i;
		tempCont.addChild(drop);
		drop.x = Math.random()*140 + 50;
		drop.y = Math.random()*200 ;
		drop.scaleX = Math.random() * 0.7 + 0.4;
		drop.scaleY = drop.scaleX;
		drop.vx = drop.vy = 0;
		rainArr[rainCount].push(drop);
	}
	tempCont.rainArray = rainArr[rainCount];

	rainCount++;
}

function moveSnowy(snow)
{
	var temCont = snow.fulgHolder;
	snowArr[snowCount] = [];
	for (var i=0;i<15;i++)
	{
		var fulg = new lib.flake();
		fulg.name = 'fulg'+i;
		temCont.addChild(fulg);
		fulg.x = Math.random()*120 + 70;
		fulg.y = Math.random()*200;
		fulg.rotation = Math.random()*360;
		fulg.vx = fulg.vy = 0;

		snowArr[snowCount].push(fulg);		
	}

	temCont.snowArray = snowArr[snowCount];

	snowCount++;
}

function tick(event)
{

	for (var i = 0;i<rainArr.length; i++)
	{
		moveRain(rainArr[i]);
	}

	for (i=0; i<snowArr.length;i++)
	{
		moveSnow(snowArr[i])
	}
	stage.update();	
}

function moveRain(rainDropsArray)
{
	for (var i = 0;i<rainDropsArray.length; i++)
	{
		rainDropsArray[i].vy += (GRAVITY);
		rainDropsArray[i].vy *= FRICTION;

		var tmpNr = Math.random()*0.5 - 0.5;

		//console.log(rainDropsArray[i])

		rainDropsArray[i].vx += tmpNr;
		rainDropsArray[i].vx *= FRICTION;

		rainDropsArray[i].y += rainDropsArray[i].vy;
		rainDropsArray[i].x += rainDropsArray[i].vx;

		if (rainDropsArray[i].y > 120)
		{
			rainDropsArray[i].y = Math.random() * 50 - 25;
			rainDropsArray[i].x = Math.random() * 120 + 40;
			rainDropsArray[i].vx = rainDropsArray[i].vy = 0;
		}
	}
}

function moveSnow(flakesArray)
{
	for (var i=0;i<flakesArray.length;i++)
	{
		flakesArray[i].vy += (GRAVITY - 3);
		flakesArray[i].vy *= FRICTION;
		var tmpNr = Math.random()*4 -2;
		flakesArray[i].vx += tmpNr;		
		flakesArray[i].vx *= FRICTION;
		flakesArray[i].y += flakesArray[i].vy;
		flakesArray[i].x += flakesArray[i].vx;
		if (flakesArray[i].y>120)
		{
			flakesArray[i].x = Math.random() * 120 + 40;
			flakesArray[i].y = Math.random() * 50;
			flakesArray[i].vx = flakesArray[i].vy = 0;
		}
	}
}